import { AnimationTimingFunction, AnimationType } from 'types/styles';

const animationTimingFunction: AnimationTimingFunction = {
  easing: {
    standard: 'cubic-bezier(0, 0, .2, 1)',
    sharp: 'cubic-bezier(.4, 0, .6, 1)',
    accelerate: 'cubic-bezier(.4, 0, 1, 1)',
    decelerate: 'cubic-bezier(0, 0, .2, 1)',
  },
};

export const animationType: AnimationType = {
  enter: animationTimingFunction.easing!.decelerate,
  exitPermanent: animationTimingFunction.easing!.accelerate,
  exitTemporary: animationTimingFunction.easing!.sharp,
  standard: animationTimingFunction.easing!.standard,
};

export type MsAnimationDuration =
  | 75
  | 100
  | 150
  | 200
  | 250
  | 280
  | 300
  | 350
  | 500;
