import { BrandColorsHsla, ElementColorsHsla, OnColorsHsla } from 'types/styles';
import { getColorAndOnColor } from '../utils.styles';
import {
  blackHsl,
  bluePaletteHsl,
  greyTranslucentPaletteHsla,
  purplePaletteHsl,
  redPaletteHsl,
  whiteHsl,
} from './palette.styles';

export const onColorsHsla: OnColorsHsla = {
  light: {
    regular: whiteHsl!,
    subdued: greyTranslucentPaletteHsla['0_70']!,
    faint: greyTranslucentPaletteHsla['0_50']!,
  },
  dark: {
    regular: greyTranslucentPaletteHsla['1000_87']!,
    subdued: greyTranslucentPaletteHsla['1000_54']!,
    faint: greyTranslucentPaletteHsla['1000_38']!,
  },
};

export const brandColorsHsla: BrandColorsHsla = {
  primary: {
    standard: getColorAndOnColor(purplePaletteHsl[700]!),
    light: getColorAndOnColor(purplePaletteHsl[400]!),
    dark: getColorAndOnColor(purplePaletteHsl[900]!),
  },
  secondary: getColorAndOnColor(bluePaletteHsl[700]!),
};

export const elementColorsHsla: ElementColorsHsla = {
  background: getColorAndOnColor(whiteHsl!),
  surface: getColorAndOnColor(whiteHsl!),
  error: getColorAndOnColor(redPaletteHsl[800]!),
  shadow: blackHsl!,
};

// Deep search number[], nested object appply - hsla();
