export const minorBreakpoints = {
  z: 0,
  xs1: 360,
  xs2: 400,
  xs3: 480,
  s1: 600,
  s2: 720,
  m1: 840,
  m2: 960,
  l1: 1024,
  l2: 1280,
  xl1: 1440,
  xl2: 1600,
  xl3: 1920,
};

export const breakpoints = {
  mobile: minorBreakpoints.z,
  tablet: minorBreakpoints.s1,
  desktop: minorBreakpoints.m1,
};

export const mediaExpressions = {
  screen: 'screen',
  print: 'print',
  landscape: '(orientation: landscape)',
  portrait: '(orientation: portrait)',
  retina(resolution: number) {
    return `(min-device-pixel-ratio: ${resolution}), (min-resolution: ${resolution}dppx)`;
  },
  minWidth(value: string) {
    return `(min-width: ${value})`;
  },
};
