import { Theme } from 'types/styles';
import { pointGridUnits } from './_helpers/utils/pointGridUnits.styles';
import { animationType } from './animation';
import {
  brandColorsHsla,
  elementColorsHsla,
  stringifyHslaObject,
} from './colors';

export const theme: Theme = {
  animation: animationType,
  colors: {
    brand: stringifyHslaObject(brandColorsHsla),
    element: stringifyHslaObject(elementColorsHsla),
  },
  icons: 'filled',
  button: {
    shape: ['round', 4],
    heightPx: {
      standard: pointGridUnits(4.5),
      dense: pointGridUnits(4),
    },
    width: {
      minWidthPx: pointGridUnits(8),
      horizontalPaddingPx: {
        text: pointGridUnits(1),
        contained: pointGridUnits(2),
      },
    },
  },
  card: {
    shape: ['round', 4],
  },
  container: {
    shape: ['round', 4],
  },
  dialog: {
    shape: ['round', 4],
  },
  fab: {
    shape: ['round', 24],
  },
  menu: {
    shape: ['round', 4],
  },
  pill: {
    shape: ['round', 16],
  },
  snackbar: {
    shape: ['round', 4],
  },
  tooltip: {
    shape: ['round', 4],
  },
};
